跳转到主要内容
GET
/
v2
/
dex
Dex - List
curl --request GET \
  --url https://api.chainstream.io/v2/dex \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "chain": "sol",
      "image": "https://example.com/dex-logo.png",
      "programAddress": "whirLbMiicVdio4qvUfM5KAg6Ct8VwpYzGff3uctyCc",
      "protocolName": "<string>"
    }
  ],
  "endCursor": "eyJpZCI6ImVuZCJ9",
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "eyJpZCI6InN0YXJ0In0="
}

Documentation Index

Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt

Use this file to discover all available pages before exploring further.

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

cursor
string

Pagination cursor

limit
integer<int64>
默认值:20

Number of results per page

direction
enum<string>
默认值:next

Pagination direction

可用选项:
next,
prev
chains
string[]

Filter by blockchain networks

dexProgram
string

Filter by DEX program address

响应

200 - application/json

Successful response

Generic pagination response

data
object[]
必填

Page data

endCursor
string | null

Cursor for the end of current page

示例:

"eyJpZCI6ImVuZCJ9"

hasNext
boolean

Whether there is a next page

示例:

false

hasPrev
boolean

Whether there is a previous page

示例:

false

startCursor
string | null

Cursor for the start of current page

示例:

"eyJpZCI6InN0YXJ0In0="